import React from "react";

const Button = ({
  title,
  backgroundColor,
  color,
  action,
  icon,
  borderColor,
  round,
  padding,
}) => {
  return (
    <button
      className={`md:text-1x font-4 relative ${
        backgroundColor +
        " " +
        round +
        " " +
        color +
        " " +
        padding +
        " " +
        (borderColor ? `border border-solid ${borderColor}` : "")
      }`}
      onClick={() => action()}
      style={{
        width: "fit-content",
      }}
    >
      {title}
      <img
        src={icon}
        alt=""
        className="absolute left-4 top-1/2 transform -translate-y-1/2"
      />
    </button>
  );
};

export default Button;
