import React, { useState } from "react";
import { connect } from "react-redux";
import { Link } from "react-router-dom";

//components
// import NavigationDrawer from "../NavigationDrawer";
// import SearchDrawer from "../SearchDrawer";
// import Loading from "../Loading";

//assets
// import hamburgerBlue from "../../assets/icons/hamburgerBlue.svg";
// import hamburgerWhite from "../../assets/icons/hamburgerWhite.svg";
// import searchWhite from "../../assets/icons/searchWhite.svg";
// import searchBlue from "../../assets/icons/searchBlue.svg";

function Navbar({ isDark, offline }) {
  // const [drawerOpen, setDrawerOpen] = useState(false);
  // const [searchOpen, setSearchOpen] = useState(false);

  return (
    <div
      className="z-20 flex justify-center w-full border-b border-gray-100"
      style={{
        height: "calc(100vh / 12)",
      }}
    >
      <div className="w-10/12 flex items-center justify-end gap-10">
        <div
          to="#"
          className="text-1x text-primary-4 font-4 cursor-pointer"
          onClick={() =>
            window.scrollTo({
              top: document.body.scrollHeight,
              behavior: "smooth",
            })
          }
        >
          تماس با ما
        </div>
        <Link
          to="#"
          className="px-6 py-2 rounded-full text-1x bg-primary-4 text-white"
        >
          مشاهده دمو
        </Link>
      </div>
      {/* <NavigationDrawer drawerOpen={drawerOpen} setDrawerOpen={setDrawerOpen} /> */}
      {/* <SearchDrawer drawerOpen={searchOpen} setDrawerOpen={setSearchOpen} /> */}
    </div>
  );
}

const mapStateToProps = (state) => ({
  isDark: state.developer.isDark,
  isLogin: state.user.status,
  offline: state.developer.offline,
});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(Navbar);
