const initialState = {
  list: [
    {
      id: 0,
      firstName: "حمید ",
      lastName: "دریادار",
      lastMessage: "سلام وقت شما بخیرتمارین مربوط به درس علوم ...",
      lastMessageTime: new Date(),
      unreadCount: 26,
      yourMessageStatus: "sent",
      isOnline: false,
    },
    {
      id: 1,
      firstName: "حمید ",
      lastName: "دریادار",
      lastMessage: "سلام وقت شما بخیرتمارین مربوط به درس علوم ...",
      lastMessageTime: new Date("1400/11/25"),
      unreadCount: 0,
      yourMessageStatus: "sent",
      isOnline: true,
    },
    {
      id: 2,
      firstName: "حمید",
      lastName: "دریادار",
      lastMessage: "سلام وقت شما بخیرتمارین مربوط به درس علوم ...",
      lastMessageTime: new Date("1401/01/09"),
      unreadCount: 0,
      yourMessageStatus: "received",
      isOnline: false,
    },
    {
      id: 3,
      firstName: "حمید",
      lastName: "دریادار",
      lastMessage: "سلام وقت شما بخیرتمارین مربوط به درس علوم ...",
      lastMessageTime: new Date("1401/01/09"),
      unreadCount: 0,
      yourMessageStatus: "read",
      isOnline: true,
    },
  ],
  error: false,
  loading: false,
  chooseList: [],
  messageList: [
    //text on 1 line
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 11,
      type: "keyNumber",
    },
    {
      user: {
        id: 0,
      },
      pid: null,
      id: 0,
      type: "text",
      value: "سلام مهندس جان خوبی وقت شما بخیر",
      time: new Date(),
    },
    //text on multiline
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 1,
      type: "text",
      value:
        "هر نفسی که فرو می‌ بریم، مرگی را که مدام به ما دست‌ اندازی می‌کند پس می‌زند... در نهایت این مرگ است که باید پیروز شود، زیرا از هنگام تولد بخشی از سرنوشت ما شده و فقط مدت کوتاهی پیش از بلعیدن طعمه اش، با آن بازی می کند. با این همه، ما تا آنجا که ممکن است، با علاقه فراوان و دلواپسی زیاد به زندگی ادامه می دهیم، همان‌ طور که تا آنجا که ممکن ",
    },
    {
      user: {
        id: 1,
      },
      id: 2,
      pid: null,
      time: new Date(),
      type: "image",
    },
    {
      user: {
        id: 1,
      },
      id: 3,
      pid: null,
      time: new Date(),
      type: "video",
    },
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 4,
      type: "suggest",
      answers: [
        "حرف های بیهوده رو کنار بگذار برو سر اصل مطلب",
        "عاشق شندین و حرف زدن با شما هستم",
        "عاشق شندین و حرف زدن با شما هستم",
      ],
    },
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 5,
      type: "voice",
    },
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 6,
      type: "music",
    },
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 7,
      type: "document",
    },
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 8,
      type: "select",
      title: "بهترین کشور دنیا برای مسافرت کدام کشور است؟",
      answers: [
        "حرف های بیهوده رو کنار بگذار برو سر اصل مطلب",
        "عاشق شندین و حرف زدن با شما هستم",
      ],
    },
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 9,
      type: "multiSelect",
      answers: [
        "حرف های بیهوده رو کنار بگذار برو سر اصل مطلب",
        "عاشق شندین و حرف زدن با شما هستم",
      ],
    },
    {
      user: {
        id: 1,
      },
      pid: null,
      time: new Date(),
      id: 10,
      type: "sort",
      items: [
        "حرف های بیهوده رو کنار بگذار برو سر اصل مطلب",
        "عاشق شندین و حرف زدن با شما هستم",
        "عاشق شندین و حرف زدن با شما هستم",
      ],
    },
  ],
};

export default function developer(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "chat/choose":
      if (data.actionType === "pop") {
        return {
          ...state,
          chooseList: state.chooseList.filter((chat) => chat.id !== data.id),
        };
      } else if (data.actionType === "push") {
        return {
          ...state,
          chooseList: [
            ...new Set([
              ...state.chooseList,
              state.list.filter((chat) => chat.id === data.id)[0],
            ]),
          ],
        };
      } else {
        return {
          ...state,
          chooseList: [],
        };
      }
    default:
      return state;
  }
}
