import { toast } from "react-toastify";

const initialState = {
  loading: false,
  error: null,
  ticket: {},
  signUpFields: {
    cellphone: "",
    otp1: "",
    otp2: "",
    otp3: "",
    otp4: "",
  },
  profile: {
    picFileId: null,
    firstName: "",
    lastName: "",
    email: "",
    birthDate: "",
    gender: 1,
    nationalId: "",
    cellphone: "",
  },
  contact: {
    name: "",
    email: "",
    job: "",
    message: "",
  },
  search: "",
};
export default function form(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "form/ticket":
      return {
        ...state,
        loading: false,
        ticket: { ...state.ticket, [data.name]: data.value },
        error: null,
      };
    case "form/setSignUpFields":
      return {
        ...state,
        loading: false,
        signUpFields: { ...state.signUpFields, [data.name]: data.value },
        error: null,
      };
    case "form/setProfile":
      return {
        ...state,
        loading: false,
        profile: { ...state.profile, [data.name]: data.value },
        error: null,
      };
    case "form/setSearch":
      return {
        ...state,
        loading: false,
        search: { ...state.profile, search: data },
        error: null,
      };
    case "form/setContact":
      console.log(data);
      return {
        ...state,
        loading: false,
        contact: { ...state.ticket, [data.name]: data.value },
        error: null,
      };
    case "form/loading":
      return { ...state, loading: true };
    case "form/error":
      toast.error(data.message);
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
