import { createStore, applyMiddleware, combineReducers } from 'redux';
import { composeWithDevTools } from 'redux-devtools-extension';
import { persistStore, persistReducer } from "redux-persist";
import * as reducers from './reducers';
import thunk from 'redux-thunk';
import storage from "redux-persist/lib/storage"; // defaults to localStorage for web

const persistConfig = {
  key: "root",
  storage,
};


const initialState = {};
const middleware = [thunk];

const persistedReducer =  persistReducer( persistConfig, combineReducers(reducers));


export default () => {
  let store = createStore(
    persistedReducer,
    initialState,
    composeWithDevTools(applyMiddleware(...middleware))
  );
  const persistor = persistStore(store);

  return { store, persistor };
};

