import React from "react";
import { connect } from "react-redux";
import TypeAnimation from "react-type-animation";

// assets
import avatarImage from "./assets/avatar.svg";
import path1Image from "./assets/path1.svg";
import path2Image from "./assets/path2.svg";

export const Graphic = ({ uselessProps }) => {
  const [animationFlags, setAnimationFlags] = React.useState({
    title1: false,
    title2: false,
    title3: false,
    description: false,
    message1: false,
    message2: false,
    message3: false,
    paths: false,
  });

  React.useEffect(() => {
    setTimeout(() => {
      setAnimationFlags({
        ...animationFlags,
        title1: true,
        title2: true,
        title3: true,
      });
    }, 100);

    setTimeout(() => {
      setAnimationFlags({
        ...animationFlags,
        title1: true,
        title2: true,
        title3: true,
        description: true,
      });
    }, 1000);

    setTimeout(() => {
      setAnimationFlags({
        ...animationFlags,
        title1: true,
        title2: true,
        title3: true,
        description: true,
        message1: true,
      });
    }, 1500);

    setTimeout(() => {
      setAnimationFlags({
        ...animationFlags,
        title1: true,
        title2: true,
        title3: true,
        description: true,
        message1: true,
        message2: true,
      });
    }, 2500);
    setTimeout(() => {
      setAnimationFlags({
        ...animationFlags,
        title1: true,
        title2: true,
        title3: true,
        description: true,
        message1: true,
        message2: true,
        message3: true,
      });
    }, 3500);
    setTimeout(() => {
      setAnimationFlags({
        ...animationFlags,
        title1: true,
        title2: true,
        title3: true,
        description: true,
        message1: true,
        message2: true,
        message3: true,
        paths: true,
      });
    }, 4200);
  }, []);

  const typing = React.useMemo(() => {
    return (
      <TypeAnimation
        cursor={true}
        repeat={1}
        sequence={[
          "شاید برای شما هم اتفاق افتاده باشه که یک داستان درجه یک و هیجان انگیز خونده باشید. اما اینجا داستان فرق می‌کنه این بار شما در مرکز اتفاقات هیجان انگیز هستید",
          12000,
          ,
        ]}
        wrapper="p"
        className="text-2x text-primary-1 font-2 mt-10"
      />
    );
  }, [uselessProps]);

  return (
    <header
      className="w-10/12 flex relative gap-10"
      style={{
        height: "calc( 100vh - 100vh / 12)",
      }}
    >
      <div className="flex-1 flex flex-col justify-center z-20">
        {animationFlags.title1 && (
          <h1 className="font-7 text-10x text-primary-1 right-to-left transition-all">
            یک ابزار حرفه‌ای
          </h1>
        )}
        {animationFlags.title2 && (
          <h1 className="font-7 text-10x text-primary-1 left-to-right transition-all">
            برای تولید محتوای
          </h1>
        )}
        {animationFlags.title3 && (
          <h1 className="font-7 text-10x text-primary-1 right-to-left transition-all">
            هوشمند
          </h1>
        )}
        {animationFlags.description && typing}
      </div>
      <div className="flex-1 flex flex-col justify-center gap-16 z-20">
        {animationFlags.message1 && (
          <div className="flex self-end gap-6 left-to-right">
            <p className="text-1x leading-9 font-2 bg-secondary-7 py-5 px-4 rounded-b-3xl rounded-tr-3xl text-white">
              من اینجام. چطور می تونم بهت کمک کنم ؟
            </p>
            <img src={avatarImage} alt="آواتار" style={{ width: "4.94vw" }} />
          </div>
        )}
        {animationFlags.message2 && (
          <p className="self-start text-1x leading-9 font-2 bg-gray-700 py-5 pr-4 pl-16 rounded-b-3xl rounded-tl-3xl text-white left-to-right">
            چطور می تونیم یک محتوای
            <br /> خوب برای مخاطبانم تولید و تهیه کنم؟
          </p>
        )}
        {animationFlags.message3 && (
          <div className="flex self-end gap-6 left-to-right">
            <p className="text-1x leading-9 font-2 bg-secondary-7 py-5 px-4 rounded-b-3xl rounded-tr-3xl text-white">
              اسکرول کن و بیا پایین و با ما آشنا شو !
            </p>
            <img src={avatarImage} alt="آواتار" style={{ width: "4.94vw" }} />
          </div>
        )}
      </div>
      {animationFlags.paths && (
        <>
          <img
            src={path1Image}
            alt=""
            className="absolute"
            style={{ top: "calc(100% / 3.3)", left: "calc(9vw)" }}
          />
          <img
            src={path2Image}
            alt=""
            className="absolute"
            style={{ top: "calc(100% / 6)", left: "calc(2.5vw)" }}
          />
        </>
      )}
    </header>
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(Graphic);
