import React from "react";
import { connect } from "react-redux";
import { form } from "../../../../redux/actions";
import onInput from "../../../../utils/onInput";

//components
import Input from "../../../../components/Input";
import Button from "../../../../components/Button";
import Textarea from "../../../../components/Textarea";

export const Form = ({ contact, setContact }) => {
  return (
    <div
      className="w-10/12 flex flex-col items-center justify-around"
    >
      <div className="flex flex-col items-center">
        <strong className="text-primary-3 font-6 text-5x">
          فرم درخواست سرویس{" "}
        </strong>
        <p className="text-2x font-4 text-gray-400 mt-3">
          در این قسمت یک متن بسیار عجیب و جالب باید قرار بگیرید{" "}
        </p>
      </div>
      <div className="flex w-full justify-between mt-32">
        <div className="flex flex-col justify-center w-5/12">
          <strong className="text-primary-7 font-4 text-4x">تماس با ما </strong>
          <strong className="text-black font-7 text-5x mt-2">
            سلام
            <br /> بیاید با هم صحبت کنیم
          </strong>
          <strong className="text-black font-2 text-4x mt-4">
            Info@Barnamenegar.com
          </strong>
        </div>
        <div className="h-full w-px bg-gray-200"></div>
        <form
          className="flex flex-col gap-6 items-end justify-center w-5/12"
          onSubmit={(e) => e.prevDefault()}
        >
          <Input
            placeholder="نام"
            name="name"
            value={contact.name}
            onChange={(name, value) => setContact({ name, value })}
            regex={(val) => val}
          />
          <Input
            placeholder="ایمیل"
            name="email"
            value={contact.email}
            onChange={(name, value) => setContact({ name, value })}
            regex={(val) => val}
          />
          <Input
            placeholder="زمینه فعالیت"
            name="job"
            value={contact.job}
            onChange={(name, value) => setContact({ name, value })}
            regex={(val) => val}
          />
          <Textarea
            rows={4}
            name="message"
            value={contact.message}
            placeholder="پیام"
            onChange={(name, value) => setContact({ name, value })}
          />
          <Button
            title="ارسال"
            backgroundColor="bg-primary-7"
            color="text-white"
            padding="py-4 px-20"
            round="rounded-lg"
          />
        </form>
      </div>
    </div>
  );
};

const mapStateToProps = (state) => ({
  contact: state.form.contact,
});

const mapDispatchToProps = {
  setContact: form.setContact,
};

export default connect(mapStateToProps, mapDispatchToProps)(Form);
